DWARF_PRODUCER_SET_ISA(3)

NAME
dwarf_producer_set_isa - specify the instruction set architecture for a DWARF producer instance

LIBRARY
libdwarf

SYNOPSIS
#include <libdwarf.h>
int
dwarf_producer_set_isa(Dwarf_P_Debug dbg, enum Dwarf_ISA isa, Dwarf_Error *err);

DESCRIPTION
The function dwarf_producer_set_isa() sets the instruction set architecture for a DWARF producer instance.

Argument dbg should reference a DWARF producer instance allocated using one of the functions dwarf_producer_init(3) or dwarf_producer_init_b(3).

Argument isa specifies the desired instruction set architecture. Legal values for this argument are those defined by the enum Dwarf_ISA enumeration defined in the header file <libdwarf.h>.

If the argument err is not NULL, it will be used to store error information in case of an error.

COMPATIBILITY
The dwarf_producer_set_isa() function is a local extension.

RETURN VALUES
On success, the function dwarf_producer_set_isa() returns DW_DLV_OK. In case of an error, this function returns DW_DLV_ERROR and sets the argument err.

ERRORS
The dwarf_producer_set_isa() function can fail with:

[DW_DLE_ARGUMENT]
    The argument dbg was NULL.

[DW_DLE_ARGUMENT]
    The argument isa was invalid.

SEE ALSO
dwarf(3), dwarf_producer_init(3), dwarf_producer_init_b(3)